<!doctype html>
<html lang="en">
<head>
<title>154-meet-the-ftpteam</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Meet the ftpteam </span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">                 </span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Speaker:  Luke Faraone (FTP Master)</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Also attended: Utkarsh Gupta (FTP Trainees)</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Some ideas from Sean Whitton (FTP Assistant) proxied by Andreas Tille (DPL)</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Response from Ansgar (FTP Master) from remote</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">BoF should be a friendly chat between ftpteam and developers</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Communication between busy people sometimes hard to schedule (true for on site as well as remote attendance)</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Can we do better do fulfill promise 4 of our social contract: </span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Our priorities are our users and free software</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Start with better ways of communication</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Communication with ftpmaster is rarely symmetric</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Replying to "</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">*.changes REJECTED</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">"-mails should always work</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">   Why: Mails to ftpmaster@ that include my name show up in my inbox, the rest goes to a subfolder</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">NEW queue requires too much state:</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    - Packages uploaded after REJECT are not prioritised in the queue, or even marked as reupload</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    - REJECTed packages deleted from from ftp-master , so when processing a reupload, reference reject mail</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    - Because of this, first step in NEW reviews is searching my mail archive</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    - No way to determine "how much this package has changed since last NEW"</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">      -> each run through NEW is from scratch</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Q by Andreas Tille: Would it help to respond to some REJECT mail with a debdiff of the new upload?</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">A: Yes, that would be helpful</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Demo of review process</span><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Demo 1: veristat</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"> - server hosting dak has lintian from oldstable - leads to outdated checks</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">     - newer-standards-version</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">     - improbable-bug-number-in-closes 1072186</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"> - veristat: PENDING ACCEPT (available in unstable some time later)</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Demo 2: blanket</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"> - d/coprsight; found a license name which is not as specific as it should be</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">     Files: data/resources/sounds/train.ogg</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">     Copyright: SDLx</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    --> prod the maintainer:  This should rather read "Daniel Miller"</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"> - keep on browsing files using MidnightCommander</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">    --> fi,es,hi, hr, ja, ka, pl, sv, ta translations missing attribution -> no reason to reject a package</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">          --> in your next upload please credit the translators</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Conclusion: Very limited database for tracking issues</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">   - can store a prod as a note</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">   - storing findings in some kind of database would be way better</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">   </span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Q by Andreas Tille: Is someone working on some better tooling</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">A: Not right now</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Q by Andreas Tille. Would you think it would be good if someone would work on some better tooling</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">A: Yeah, very appreciated</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">Q Faidon Liambotis: When was the last time the process was changed and in what ways</span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2">A: The only thing that happened since I was an FTP Trainee in 2010: Policy loosening slightly in </span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="a_8OkCfgAmM7OsXtDj" title="a_8OkCfgAmM7OsXtDj" style="background-color:#0a87d2"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
